----------------------------------------------
-- Media listing for base sphere components --
----------------------------------------------
local AddOnName, nsVars = ...
local ss = nsVars.SS

local mtSphereTextures = {
  ["textures"] = {
    ["gloss"] = {
      [1] = "orb_gloss.tga",
      [2] = "orb_gloss2.tga",
      [3] = "orb_gloss3.tga",
      [4] = "orb_gloss4.tga",
      [5] = "d3portrait_gloss2.tga",
    },
    ["divider"] = {
      [1] = "middleBar.tga",
    },
  },
};

function mtSphereTextures:Get(group, index)
  return ss.SharedMedia.textureLocation..self.textures[group][index]
end

ss["SphereTextures"] = setmetatable({}, { __index = mtSphereTextures });
